scala.tools.nsc.reporters

# ConsoleReporter

#### class ConsoleReporter extends AbstractReporter

This class implements a Reporter that displays messages on a text console.

Source
  ConsoleReporter.scala

Linear Supertypes
AbstractReporter, Reporter, reflect.internal.Reporter, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConsoleReporter
2. AbstractReporter
3. Reporter
4. Reporter
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConsoleReporter(settings: Settings)

2. #### new ConsoleReporter(settings: Settings, reader: BufferedReader, writer: PrintWriter)

### Type Members

1. #### class Severity extends AnyRef

   Definition Classes
     Reporter

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ConsoleReporter to any2stringadd[ConsoleReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ConsoleReporter, B)

   Implicit information
     This member is added by an implicit conversion from ConsoleReporter to ArrowAssoc[ConsoleReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### lazy val ERROR: Severity

   Definition Classes
     Reporter → Reporter

7. #### final val ERROR_LIMIT: Int(100)

   maximal number of error messages to be printed

8. #### object INFO extends Severity

   Definition Classes
     Reporter → Reporter

9. #### object WARNING extends Severity

   Definition Classes
     Reporter → Reporter

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### var cancelled: Boolean

    Definition Classes
      Reporter

12. #### def clabel(severity: Severity): String

    Attributes
      protected

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def comment(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

15. #### def count(severity: Severity): Int

    Definition Classes
      Reporter → Reporter

16. #### def display(pos: Position, msg: String, severity: Severity): Unit

    Definition Classes
      ConsoleReporter → AbstractReporter

17. #### def displayPrompt(): Unit

    Definition Classes
      ConsoleReporter → AbstractReporter

18. #### def echo(msg: String): Unit

    For sending a message which should not be labeled as a warning/error, but also shouldn't require -verbose to be visible.

    For sending a message which should not be labeled as a warning/error, but also shouldn't require -verbose to be visible.

    Definition Classes
      Reporter

19. #### def echo(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

20. #### def ensuring(cond: (ConsoleReporter) ⇒ Boolean, msg: ⇒ Any): ConsoleReporter

    Implicit information
      This member is added by an implicit conversion from ConsoleReporter to Ensuring[ConsoleReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: (ConsoleReporter) ⇒ Boolean): ConsoleReporter

    Implicit information
      This member is added by an implicit conversion from ConsoleReporter to Ensuring[ConsoleReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean, msg: ⇒ Any): ConsoleReporter

    Implicit information
      This member is added by an implicit conversion from ConsoleReporter to Ensuring[ConsoleReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean): ConsoleReporter

    Implicit information
      This member is added by an implicit conversion from ConsoleReporter to Ensuring[ConsoleReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

26. #### def error(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

27. #### def errorCount: Int

    Definition Classes
      Reporter

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### def flush(): Unit

    Definition Classes
      ConsoleReporter → Reporter

30. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ConsoleReporter to StringFormat[ConsoleReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

31. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

32. #### def hasErrors: Boolean

    Definition Classes
      Reporter → Reporter

33. #### def hasWarnings: Boolean

    Definition Classes
      Reporter

34. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

35. #### final def info(pos: Position, msg: String, force: Boolean): Unit

    Informational messages.

    Informational messages. If `!force`, they may be suppressed.

    Definition Classes
      Reporter

36. #### def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit

    Attributes
      protected
    Definition Classes
      AbstractReporter → Reporter

37. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

38. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### def print(pos: Position, msg: String, severity: Severity): Unit

42. #### def printColumnMarker(pos: Position): Unit

    Prints the column marker of the given position.

43. #### def printMessage(posIn: Position, msg: String): Unit

    Prints the message with the given position indication.

44. #### def printMessage(msg: String): Unit

    Prints the message.

45. #### def printSummary(): Unit

    Prints the number of errors and warnings if their are non-zero.

46. #### def reset(): Unit

    Definition Classes
      AbstractReporter → Reporter → Reporter

47. #### def resetCount(severity: Severity): Unit

    Definition Classes
      Reporter → Reporter

48. #### val settings: Settings

    Definition Classes
      ConsoleReporter → AbstractReporter

49. #### var shortname: Boolean

    Whether a short file name should be displayed before errors

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### def toString(): String

    Definition Classes
      AnyRef → Any

52. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### def warning(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

56. #### def warningCount: Int

    Definition Classes
      Reporter

57. #### def →[B](y: B): (ConsoleReporter, B)

    Implicit information
      This member is added by an implicit conversion from ConsoleReporter to ArrowAssoc[ConsoleReporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AbstractReporter

### Inherited from Reporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ConsoleReporter to any2stringadd[ConsoleReporter]

### Inherited by implicit conversion StringFormat from ConsoleReporter to StringFormat[ConsoleReporter]

### Inherited by implicit conversion Ensuring from ConsoleReporter to Ensuring[ConsoleReporter]

### Inherited by implicit conversion ArrowAssoc from ConsoleReporter to ArrowAssoc[ConsoleReporter]

### Ungrouped